// deklariere Arrays zum ablegen verstrichener Maus-Positionen
int[] x,y;

void setup () {
  size(800,800);
  
  // initialisiere Arrays mit Platz für 100 vergangene Positionen
  x = new int[100];
  y = new int[100];
}

void draw () {
  // Hintergrund -> weiß
  background(255);
  
  // verschiebe alle Einträge der beiden Arrays eine Stelle nach rechts
  // -> Wert an Stelle z steht nun an Stelle z+1
  // dazu durchlaufen wir die Arrays von hinten nach vorne 
  for (int n=x.length-1; n>0; n--) {
    x[n] = x[n-1];
    y[n] = y[n-1];
  }
  
  // lege aktuelle Position an erster Stelle in den Arrays ab
  x[0] = mouseX;
  y[0] = mouseY;
  
  // zeichne Linien zwischen allen aufeinanderfogenden Einträgen
  // wir beginnen mit einer Linie vom zweiten zum ersten Eintrag
  for (int n=1; n<x.length; n++) {
    line(x[n],y[n],x[n-1],y[n-1]);
  }

}