// definiere Klasse: Animation
class Animation {
  // Felder: counter, Triggertaste
  int animationCounter;
  char animationKey;
  
  // Konstruktor
  // Parameter: Triggertaste
  public Animation (char c) {
    // setze counter auf 0 und Taste auf übergebenen Wert
    animationCounter = 0;
    animationKey = c;
  }
  
  // behandle Eingabe
  // Parameter: Zeichen
  void handleInput (char c) {
    // wenn Taste gedrückt und der übergebene Wert gleich Triggertaste
    if (keyPressed && animationKey == c) {
      // inkrementiere counter
      animationCounter++;
    }
    // sonst setze counter zurüch auf 0
    else {
      animationCounter = 0;
    }
  }
  
  // zeichne Animation wenn counter größer 0 ist -> aktiv
  void plot () {
    if (animationCounter>0) {
      int r = animationCounter*3;
      ellipse(300, 200, r, r);
    }
  }
}